## NMSettingVxlan NMSettingVxlan — Describes connection properties for VXLAN interfaces |

## Functions

NMSetting * | nm_setting_vxlan_new ()
const char * | nm_setting_vxlan_get_parent ()
guint | nm_setting_vxlan_get_id ()
const char * | nm_setting_vxlan_get_local ()
const char * | nm_setting_vxlan_get_remote ()
guint | nm_setting_vxlan_get_source_port_min ()
guint | nm_setting_vxlan_get_source_port_max ()
guint | nm_setting_vxlan_get_destination_port ()
guint | nm_setting_vxlan_get_tos ()
guint | nm_setting_vxlan_get_ttl ()
guint | nm_setting_vxlan_get_ageing ()
guint | nm_setting_vxlan_get_limit ()
gboolean | nm_setting_vxlan_get_proxy ()
gboolean | nm_setting_vxlan_get_learning ()
gboolean | nm_setting_vxlan_get_rsc ()
gboolean | nm_setting_vxlan_get_l2_miss ()
gboolean | nm_setting_vxlan_get_l3_miss ()

## Properties

guint | ageing | Read / Write / Construct
guint | destination-port | Read / Write / Construct
guint | id | Read / Write / Construct
gboolean | l2-miss | Read / Write / Construct
gboolean | l3-miss | Read / Write / Construct
gboolean | learning | Read / Write / Construct
guint | limit | Read / Write / Construct
gchar * | local | Read / Write / Construct
gchar * | parent | Read / Write / Construct
gboolean | proxy | Read / Write / Construct
gchar * | remote | Read / Write / Construct
gboolean | rsc | Read / Write / Construct
guint | source-port-max | Read / Write / Construct
guint | source-port-min | Read / Write / Construct
guint | tos | Read / Write / Construct
guint | ttl | Read / Write / Construct

## Types and Values

#define | NM_SETTING_VXLAN_SETTING_NAME
#define | NM_SETTING_VXLAN_PARENT
#define | NM_SETTING_VXLAN_ID
#define | NM_SETTING_VXLAN_LOCAL
#define | NM_SETTING_VXLAN_REMOTE
#define | NM_SETTING_VXLAN_SOURCE_PORT_MIN
#define | NM_SETTING_VXLAN_SOURCE_PORT_MAX
#define | NM_SETTING_VXLAN_DESTINATION_PORT
#define | NM_SETTING_VXLAN_TOS
#define | NM_SETTING_VXLAN_TTL
#define | NM_SETTING_VXLAN_AGEING
#define | NM_SETTING_VXLAN_LIMIT
#define | NM_SETTING_VXLAN_PROXY
#define | NM_SETTING_VXLAN_LEARNING
#define | NM_SETTING_VXLAN_RSC
#define | NM_SETTING_VXLAN_L2_MISS
#define | NM_SETTING_VXLAN_L3_MISS
| NMSettingVxlan

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingVxlan

## Description

The NMSettingVxlan object is a NMSetting subclass that describes properties necessary for connection to VXLAN interfaces.

## Functions

### nm_setting_vxlan_new ()

    NMSetting *
    nm_setting_vxlan_new (void);

Creates a new NMSettingVxlan object with default values.

#### Returns

the new empty NMSettingVxlan object.

[transfer full]

Since: 1.2

### nm_setting_vxlan_get_parent ()

    const char *
    nm_setting_vxlan_get_parent (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “parent” property of the setting

Since: 1.2

### nm_setting_vxlan_get_id ()

    guint
    nm_setting_vxlan_get_id (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “id” property of the setting

Since: 1.2

### nm_setting_vxlan_get_local ()

    const char *
    nm_setting_vxlan_get_local (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “local” property of the setting

Since: 1.2

### nm_setting_vxlan_get_remote ()

    const char *
    nm_setting_vxlan_get_remote (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “remote” property of the setting

Since: 1.2

### nm_setting_vxlan_get_source_port_min ()

    guint
    nm_setting_vxlan_get_source_port_min (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “source-port-min” property of the setting

Since: 1.2

### nm_setting_vxlan_get_source_port_max ()

    guint
    nm_setting_vxlan_get_source_port_max (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “source-port-max” property of the setting

Since: 1.2

### nm_setting_vxlan_get_destination_port ()

    guint
    nm_setting_vxlan_get_destination_port (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “destination-port” property of the setting

Since: 1.2

### nm_setting_vxlan_get_tos ()

    guint
    nm_setting_vxlan_get_tos (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “tos” property of the setting

Since: 1.2

### nm_setting_vxlan_get_ttl ()

    guint
    nm_setting_vxlan_get_ttl (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “ttl” property of the setting

Since: 1.2

### nm_setting_vxlan_get_ageing ()

    guint
    nm_setting_vxlan_get_ageing (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “ageing” property of the setting

Since: 1.2

### nm_setting_vxlan_get_limit ()

    guint
    nm_setting_vxlan_get_limit (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “limit” property of the setting

Since: 1.2

### nm_setting_vxlan_get_proxy ()

    gboolean
    nm_setting_vxlan_get_proxy (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “proxy” property of the setting

Since: 1.2

### nm_setting_vxlan_get_learning ()

    gboolean
    nm_setting_vxlan_get_learning (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “learning” property of the setting

Since: 1.2

### nm_setting_vxlan_get_rsc ()

    gboolean
    nm_setting_vxlan_get_rsc (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “rsc” property of the setting

Since: 1.2

### nm_setting_vxlan_get_l2_miss ()

    gboolean
    nm_setting_vxlan_get_l2_miss (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “l2_miss” property of the setting

Since: 1.2

### nm_setting_vxlan_get_l3_miss ()

    gboolean
    nm_setting_vxlan_get_l3_miss (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “l3_miss” property of the setting

Since: 1.2

## Types and Values

### NM_SETTING_VXLAN_SETTING_NAME

    #define NM_SETTING_VXLAN_SETTING_NAME       "vxlan"

### NM_SETTING_VXLAN_PARENT

    #define NM_SETTING_VXLAN_PARENT             "parent"

### NM_SETTING_VXLAN_ID

    #define NM_SETTING_VXLAN_ID                 "id"

### NM_SETTING_VXLAN_LOCAL

    #define NM_SETTING_VXLAN_LOCAL              "local"

### NM_SETTING_VXLAN_REMOTE

    #define NM_SETTING_VXLAN_REMOTE             "remote"

### NM_SETTING_VXLAN_SOURCE_PORT_MIN

    #define NM_SETTING_VXLAN_SOURCE_PORT_MIN    "source-port-min"

### NM_SETTING_VXLAN_SOURCE_PORT_MAX

    #define NM_SETTING_VXLAN_SOURCE_PORT_MAX    "source-port-max"

### NM_SETTING_VXLAN_DESTINATION_PORT

    #define NM_SETTING_VXLAN_DESTINATION_PORT   "destination-port"

### NM_SETTING_VXLAN_TOS

    #define NM_SETTING_VXLAN_TOS                "tos"

### NM_SETTING_VXLAN_TTL

    #define NM_SETTING_VXLAN_TTL                "ttl"

### NM_SETTING_VXLAN_AGEING

    #define NM_SETTING_VXLAN_AGEING             "ageing"

### NM_SETTING_VXLAN_LIMIT

    #define NM_SETTING_VXLAN_LIMIT              "limit"

### NM_SETTING_VXLAN_PROXY

    #define NM_SETTING_VXLAN_PROXY              "proxy"

### NM_SETTING_VXLAN_LEARNING

    #define NM_SETTING_VXLAN_LEARNING           "learning"

### NM_SETTING_VXLAN_RSC

    #define NM_SETTING_VXLAN_RSC                "rsc"

### NM_SETTING_VXLAN_L2_MISS

    #define NM_SETTING_VXLAN_L2_MISS            "l2-miss"

### NM_SETTING_VXLAN_L3_MISS

    #define NM_SETTING_VXLAN_L3_MISS            "l3-miss"

### NMSettingVxlan

    typedef struct _NMSettingVxlan NMSettingVxlan;

VXLAN Settings

## Property Details

### The `“ageing”` property

      “ageing”                   guint

Specifies the lifetime in seconds of FDB entries learnt by the kernel.

Flags: Read / Write / Construct

Default value: 300

Since: 1.2

### The `“destination-port”` property

      “destination-port”         guint

Specifies the UDP destination port to communicate to the remote VXLAN tunnel endpoint.

Flags: Read / Write / Construct

Allowed values: <= 65535

Default value: 8472

Since: 1.2

### The `“id”` property

      “id”                       guint

Specifies the VXLAN Network Identifier (or VXLAN Segment Identifier) to use.

Flags: Read / Write / Construct

Allowed values: <= 16777215

Default value: 0

Since: 1.2

### The `“l2-miss”` property

      “l2-miss”                  gboolean

Specifies whether netlink LL ADDR miss notifications are generated.

Flags: Read / Write / Construct

Default value: FALSE

Since: 1.2

### The `“l3-miss”` property

      “l3-miss”                  gboolean

Specifies whether netlink IP ADDR miss notifications are generated.

Flags: Read / Write / Construct

Default value: FALSE

Since: 1.2

### The `“learning”` property

      “learning”                 gboolean

Specifies whether unknown source link layer addresses and IP addresses are entered into the VXLAN device forwarding database.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.2

### The `“limit”` property

      “limit”                    guint

Specifies the maximum number of FDB entries. A value of zero means that the kernel will store unlimited entries.

Flags: Read / Write / Construct

Default value: 0

Since: 1.2

### The `“local”` property

      “local”                    gchar *

If given, specifies the source IP address to use in outgoing packets.

Flags: Read / Write / Construct

Default value: NULL

Since: 1.2

### The `“parent”` property

      “parent”                   gchar *

If given, specifies the parent interface name or parent connection UUID.

Flags: Read / Write / Construct

Default value: NULL

Since: 1.2

### The `“proxy”` property

      “proxy”                    gboolean

Specifies whether ARP proxy is turned on.

Flags: Read / Write / Construct

Default value: FALSE

Since: 1.2

### The `“remote”` property

      “remote”                   gchar *

Specifies the unicast destination IP address to use in outgoing packets when the destination link layer address is not known in the VXLAN device forwarding database, or the multicast IP address to join.

Flags: Read / Write / Construct

Default value: NULL

Since: 1.2

### The `“rsc”` property

      “rsc”                      gboolean

Specifies whether route short circuit is turned on.

Flags: Read / Write / Construct

Default value: FALSE

Since: 1.2

### The `“source-port-max”` property

      “source-port-max”          guint

Specifies the maximum UDP source port to communicate to the remote VXLAN tunnel endpoint.

Flags: Read / Write / Construct

Allowed values: <= 65535

Default value: 0

Since: 1.2

### The `“source-port-min”` property

      “source-port-min”          guint

Specifies the minimum UDP source port to communicate to the remote VXLAN tunnel endpoint.

Flags: Read / Write / Construct

Allowed values: <= 65535

Default value: 0

Since: 1.2

### The `“tos”` property

      “tos”                      guint

Specifies the TOS value to use in outgoing packets.

Flags: Read / Write / Construct

Allowed values: <= 255

Default value: 0

Since: 1.2

### The `“ttl”` property

      “ttl”                      guint

Specifies the time-to-live value to use in outgoing packets.

Flags: Read / Write / Construct

Allowed values: <= 255

Default value: 0

Since: 1.2